import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import Cookies from "js-cookie"
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import * as echarts from 'echarts'
Vue.prototype.$echarts = echarts

// 下拉框滚动加载
import loadMore from './utils/select.js'
Vue.use(loadMore)

// import './mock'
import './permission' // permission control
// 导入全局样式表
import './assets/css/global.css'
Vue.config.productionTip = false

Vue.use(ElementUI);
// 图片拼接地址
Vue.prototype.$baseUrl = 'https://bzdcdn.baozhida.cn/';
// 引入vue-amap
import AMap from 'vue-amap';
Vue.use(AMap);

// 初始化vue-amap
AMap.initAMapApiLoader({
  // 高德的key
  key: 'fcddcc366fd5bd355e35f01b7cce82ef',
  // 插件集合
  plugin: ['AMap.Autocomplete', 'AMap.PlaceSearch', 'AMap.Scale', 'AMap.OverView', 'AMap.ToolBar', 'AMap.MapType',
    'AMap.PolyEditor', 'AMap.CircleEditor', 'AMap.DistrictSearch'
  ]
});

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
